org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class PrivateKeyAttributes

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.PrivateKeyAttributes

-     public class PrivateKeyAttributes
      extends Object

  Java class for PrivateKeyAttributes complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PrivateKeyAttributes">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="minimalKeyLength" type="{http://www.w3
               .org/2001/XMLSchema}unsignedInt"/>
               <element name="keySpec" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="keyUsageProperty" type="{http://www.w3
               .org/2001/XMLSchema}unsignedInt"/>
               <element name="permissions" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="algorithmOIDReference" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="cryptoProviders" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}CryptoProviders"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `algorithmOIDReference`
    `protected CryptoProviders` | `cryptoProviders`
    `protected Long` | `keySpec`
    `protected Long` | `keyUsageProperty`
    `protected long` | `minimalKeyLength`
    `protected String` | `permissions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyAttributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getAlgorithmOIDReference()` Gets the value of the algorithmOIDReference property.
    `CryptoProviders` | `getCryptoProviders()` Gets the value of the cryptoProviders property.
    `Long` | `getKeySpec()` Gets the value of the keySpec property.
    `Long` | `getKeyUsageProperty()` Gets the value of the keyUsageProperty property.
    `long` | `getMinimalKeyLength()` Gets the value of the minimalKeyLength property.
    `String` | `getPermissions()` Gets the value of the permissions property.
    `void` | `setAlgorithmOIDReference(Integer value)` Sets the value of the algorithmOIDReference property.
    `void` | `setCryptoProviders(CryptoProviders value)` Sets the value of the cryptoProviders property.
    `void` | `setKeySpec(Long value)` Sets the value of the keySpec property.
    `void` | `setKeyUsageProperty(Long value)` Sets the value of the keyUsageProperty property.
    `void` | `setMinimalKeyLength(long value)` Sets the value of the minimalKeyLength property.
    `void` | `setPermissions(String value)` Sets the value of the permissions property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minimalKeyLength

          protected long minimalKeyLength

    - #### keySpec

          protected Long keySpec

    - #### keyUsageProperty

          protected Long keyUsageProperty

    - #### permissions

          protected String permissions

    - #### algorithmOIDReference

          protected Integer algorithmOIDReference

    - #### cryptoProviders

          protected CryptoProviders cryptoProviders

  - ### Constructor Detail

    - #### PrivateKeyAttributes

          public PrivateKeyAttributes()

  - ### Method Detail

    - #### getMinimalKeyLength

          public long getMinimalKeyLength()

      Gets the value of the minimalKeyLength property.

    - #### setMinimalKeyLength

          public void setMinimalKeyLength(long value)

      Sets the value of the minimalKeyLength property.

    - #### getKeySpec

          public Long getKeySpec()

      Gets the value of the keySpec property.
      Returns:
        possible object is `Long`

    - #### setKeySpec

          public void setKeySpec(Long value)

      Sets the value of the keySpec property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getKeyUsageProperty

          public Long getKeyUsageProperty()

      Gets the value of the keyUsageProperty property.
      Returns:
        possible object is `Long`

    - #### setKeyUsageProperty

          public void setKeyUsageProperty(Long value)

      Sets the value of the keyUsageProperty property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getPermissions

          public String getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `String`

    - #### setPermissions

          public void setPermissions(String value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAlgorithmOIDReference

          public Integer getAlgorithmOIDReference()

      Gets the value of the algorithmOIDReference property.
      Returns:
        possible object is `Integer`

    - #### setAlgorithmOIDReference

          public void setAlgorithmOIDReference(Integer value)

      Sets the value of the algorithmOIDReference property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getCryptoProviders

          public CryptoProviders getCryptoProviders()

      Gets the value of the cryptoProviders property.
      Returns:
        possible object is `CryptoProviders`

    - #### setCryptoProviders

          public void setCryptoProviders(CryptoProviders value)

      Sets the value of the cryptoProviders property.
      Parameters:
        `value` - allowed object is `CryptoProviders`

Copyright © 2017 WSO2. All rights reserved.